## com.baidubce.internal
Class InternalRequest

    java.lang.Object
      com.baidubce.internal.InternalRequest

    @NotThreadSafe
    public class InternalRequest

extends Object

Represents a request being sent to a BCE Service, including the parameters being sent as part of the request, the endpoint to which the request should be sent, etc.

Constructor Summary
`InternalRequest(HttpMethodName httpMethod, URI uri)`

Method Summary
`void` `addHeader(String name, String value)`
`void` `addParameter(String name, String value)`
`RestartableInputStream` `getContent()`
`BceCredentials` `getCredentials()`
`Map<String,String>` `getHeaders()`
`HttpMethodName` `getHttpMethod()`
`Map<String,String>` `getParameters()`
`SignOptions` `getSignOptions()`
`URI` `getUri()`
`boolean` `isExpectContinueEnabled()`
`void` `setContent(RestartableInputStream content)`
`void` `setCredentials(BceCredentials credentials)`
`void` `setExpectContinueEnabled(boolean expectContinueEnabled)`
`void` `setHeaders(Map<String,String> headers)`
`void` `setParameters(Map<String,String> parameters)`
`void` `setSignOptions(SignOptions signOptions)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InternalRequest

    public InternalRequest(HttpMethodName httpMethod,
                           URI uri)

Method Detail

### addHeader

    public void addHeader(String name,
                          String value)

### getHeaders

    public Map<String,String> getHeaders()

### addParameter

    public void addParameter(String name,
                             String value)

### getParameters

    public Map<String,String> getParameters()

### getHttpMethod

    public HttpMethodName getHttpMethod()

### getUri

    public URI getUri()

### getContent

    public RestartableInputStream getContent()

### setContent

    public void setContent(RestartableInputStream content)

### setHeaders

    public void setHeaders(Map<String,String> headers)

### setParameters

    public void setParameters(Map<String,String> parameters)

### getCredentials

    public BceCredentials getCredentials()

### setCredentials

    public void setCredentials(BceCredentials credentials)

### getSignOptions

    public SignOptions getSignOptions()

### setSignOptions

    public void setSignOptions(SignOptions signOptions)

### isExpectContinueEnabled

    public boolean isExpectContinueEnabled()

### setExpectContinueEnabled

    public void setExpectContinueEnabled(boolean expectContinueEnabled)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.